#define	DEVTYPE             (0x43)      // mega128 supported device code for avrprog

#define HEXCHAR 1
#define CLEARCHAR 2
#define ENDCHAR 3
#define ESCAPE 0x1b
#define LOADRCHAR 4
#define GETNAME 6
#define CONTROL_R 0x12

#define BUFSIZE 4095
#define CR 0x0d
#define LF 0x0a

#define HEX_ONLY  2
#define ASCII_HEX 1
#define VT_MODE   0

/* ROM file types */
#define ROM_FLASH      100
#define ROM_EEPROM     101


#ifdef __WIN32__
#include <alloc.h>
#include <fcntl.h>
#include <io.h>
#include <dos.h>
#include <windows.h>
#endif

#ifdef  __linux__
#define DWORD int
#define HANDLE int
#define BOOLEAN int
#endif /* LINUX */

#if defined(MSDOS)
#define HUGE huge
#define malloc farmalloc
#define free farfree
#define realloc farrealloc
typedef unsigned long MEMIDX_T;
#else
#define HUGE
typedef unsigned MEMIDX_T;
#endif

typedef unsigned short HUGE *P_MEM ;

#define BOOTSTRAP      1024    // size in words of bootstrap code in hi memory
#define MEM_MAX        0xffff	//  highest Flash WORD address
#define EEPROM_MAX     0xfff	//  highest EEPROM BYTE address
//#define MEM_MAX        0xfff	// 8515 highest Flash WORD address
//#define EEPROM_MAX     0x1ff	// 8515 highest EEPROM BYTE address


